using APT.BaseData.Domain.Entities.FM;
using APT.Infrastructure.Core;
using APT.MS.Domain.Entities.TI;
using APT.MS.Domain.Enums;
using System;
using System.Collections.Generic;
using System.ComponentModel;

namespace APT.MS.Domain.Entities.TI
{
    /// <summary>
    /// 安全生产费用使用记录表与费用类型关联表
    /// </summary>
    [Description("安全生产费用使用记录表")]
    public class T_TI_SAFE_PDT_COST_RECORD_TYPE : MesEntityBase
    {
        /// <summary>
        /// 安全生产费用使用记录表
        /// </summary>
        [Description("安全生产费用使用记录表")]
        [DataFieldForeignKey("Nav_SafePdtCostRecord", "Nav_SafePdtCostRecordType")]
        public Guid? RECORD_ID { get; set; }

        /// <summary>
        /// 导航: 安全生产费用使用记录表
        /// </summary>
        [Description("导航: 安全生产费用使用记录表")]
        public T_TI_SAFE_PDT_COST_RECORD Nav_SafePdtCostRecord { get; set; }

        /// <summary>
        /// 费用类型ID
        /// </summary>
        [Description("费用类型ID")]
        [DataFieldForeignKey("Nav_CostType")]
        public Guid? COST_TYPE_ID { get; set; }

        /// <summary>
        /// 导航: 费用类型
        /// </summary>
        [Description("导航: 费用类型")]
        public virtual T_TI_COST_TYPE Nav_CostType { get; set; }

    }
}
